View Issue Details

IDProjectCategoryView StatusLast Update
0001617NoesisGUIUnity3Dpublic2020-03-20 16:39
ReporterGwynnethAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.6 
Target Version3.0.0Fixed in Version3.0.0 
Summary0001617: Separator does not properly stretch in vertical orientation
DescriptionUsing a (custom) Separator control the control does not properly stretch when it is used in a vertical layout. When using a LayoutTransform in WPF the Separator stretches its width to fill the vertical space (image 01), in NoesisGUI the width has to be manually defined for it to show up.
Steps To ReproduceDefine the code as defined in the attached images and the vertically oriented Separator will not show.
TagsSeparator
PlatformAny

Activities

Gwynneth

Gwynneth

2020-01-13 11:40

reporter  

sfernandez

sfernandez

2020-03-03 13:38

manager   ~0006121

Last edited: 2020-03-03 13:38

View 2 revisions

Could you please try adding the following template to your separator style?

<Setter Property="Template">
  <Setter.Value>
    <ControlTemplate TargetType="Separator">
      <Rectangle Fill="{TemplateBinding Background}" Height="1"/>
    </ControlTemplate>
  </Setter.Value>
</Setter>


Issue History

Date Modified Username Field Change
2020-01-13 11:40 Gwynneth New Issue
2020-01-13 11:40 Gwynneth Tag Attached: Separator
2020-01-13 11:40 Gwynneth File Added: Separator_stretching_01.png
2020-01-13 11:40 Gwynneth File Added: Separator_stretching_02.png
2020-01-13 11:40 Gwynneth File Added: Separator_stretching_03.png
2020-01-13 11:40 Gwynneth File Added: Separator_stretching_04.png
2020-03-03 13:21 sfernandez Assigned To => sfernandez
2020-03-03 13:21 sfernandez Status new => assigned
2020-03-03 13:21 sfernandez Target Version => 3.0.0
2020-03-03 13:38 sfernandez Status assigned => feedback
2020-03-03 13:38 sfernandez Note Added: 0006121
2020-03-03 13:38 sfernandez Note Edited: 0006121 View Revisions
2020-03-20 16:39 sfernandez Status feedback => resolved
2020-03-20 16:39 sfernandez Resolution open => fixed
2020-03-20 16:39 sfernandez Fixed in Version => 3.0.0